Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.datasets.base.ChainMapper

class `mvpa2.datasets.base.``ChainMapper`(nodes, **kwargs)

  Class that amends ChainNode with a mapper-like interface.

  ChainMapper supports sequential training of a mapper chain, as well as reverse-mapping and mapping of single samples.

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `append`(node) | Append a node to the chain.
  `forward`(ds) |
  `forward1`(data) | Forward data or datasets through the chain.

  `generate`(ds[, startnode])

  Parameters: |

  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `reverse`(data) | Reverse-maps data or datasets through the chain (backwards).
  `reverse1`(data) | Reverse-maps data or datasets through the chain (backwards).
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.
  `train`(dataset) | Train the mapper chain sequentially.
  `untrain`() | Untrain all embedded mappers.

  Parameters:

  nodes: list :

  > Node instances.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  space: str, optional :

  > Name of the ‘processing space’. The actual meaning of this argument heavily depends on the sub-class implementation. In general, this is a trigger that tells the node to compute and store information about the input data that is “interesting” in the context of the corresponding processing in the output dataset.

  postproc : Node instance, optional

  > Node to perform post-processing of results. This node is applied in `__call__()` to perform a final processing step on the to be result dataset. If None, nothing is done.

  descr : str

  > Description of the instance

  Methods

  `append`(node) | Append a node to the chain.
  `forward`(ds) |
  `forward1`(data) | Forward data or datasets through the chain.

  `generate`(ds[, startnode])

  Parameters: |

  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `reverse`(data) | Reverse-maps data or datasets through the chain (backwards).
  `reverse1`(data) | Reverse-maps data or datasets through the chain (backwards).
  `set_postproc`(node) | Assigns a post-processing node Set to `None` to disable postprocessing.
  `set_space`(name) | Set the processing space name of this node.
  `train`(dataset) | Train the mapper chain sequentially.
  `untrain`() | Untrain all embedded mappers.

  `forward`(ds)
  `forward1`(data)

    Forward data or datasets through the chain.

    See `Mapper` for more information.

  `reverse`(data)

    Reverse-maps data or datasets through the chain (backwards).

    See `Mapper` for more information.

  `reverse1`(data)

    Reverse-maps data or datasets through the chain (backwards).

    See `Mapper` for more information.

  `train`(dataset)

    Train the mapper chain sequentially.

    The training dataset is used to train the first mapper. Afterwards it is forward-mapped by this (now trained) mapper and the transformed dataset and then used to train the next mapper. This procedure is done till all mappers are trained.

    Parameters: | dataset: `Dataset` :

  `untrain`()

    Untrain all embedded mappers.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »